<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Home</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <link rel="stylesheet" href="style.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.0/css/all.min.css">
    <!-- <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css"> -->
    <!-- <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css"> -->
    <script src="./Home.js"></script>
</head>

<body>
    <header>
        <nav>

            <ul class="d-flex justify-content-around align-items-center menu">
                <li>
                    <img src="./image/logo.svg" alt="">
                </li>
                <li><a href="./Home.html">Home</a></li>
                <li><a href="./Apartment.html">Properties</a></li>
                <li><a href="./About.html">About</a></li>
                <li><a href="">Agency</a></li>
                <li><a href="">Blog</a></li>
                <li><a href="./Contact.html">Contact</a></li>
                <li>
                    <a href="./Login.html"><img src="./image/avater.png" alt=""></a>

                </li>
                <li>
                    <a href="./AddProperties.html">
                        <button id="btn-add-property" class="btn p-3">Add property</button>
                    </a>

                </li>
            </ul>
        </nav>
    </header>
    <div class="content text-white">
        <!-- <img src="./image/home-3.jpg" alt="" class="img-home"> -->
        <div class="image">
        </div>
        <div class="text">
            <div class="row">
                <div class="col-sm-12 text-center mt-5 pt-5">
                    <p class="p-title">A new way to find Properties </p>
                </div>
            </div>
            <div class="row">
                <div class="col-sm-12">
                    <h1 class="h1-title">Search and Find</h1>

                </div>

            </div>
            <div class="row luxury">
                <div class="col-sm-12 text-center">
                    <h1 class="h1-title">Luxury Homes</h1>
                </div>
            </div>

        </div>



        <div class="filter">
            <div class="co-1 ml-5">

                <ul class="d-flex justify-content-around">
                    <li><a id="buy" href="#" onclick=" return false;">Buy Sell</a></li>
                    <li><a href="#" onclick=" return false;">Rent</a></li>
                    <li><a href="#" onclick=" return false;">Project</a></li>

                </ul>


            </div>
            <div class="co-2 ml-5">

                <ul class="d-flex justify-content-around">
                    <li>
                        <img src="./image/loupe.png" alt="" width="27px">

                    </li>
                    <li>
                        <input type="text" name="" id="" class="form-control inp-search-properties"
                            placeholder="Search address-properties">
                    </li>
                    <li><a href="#" onclick=" return false;">Address and project</a></li>
                    <hr>
                    <li><a href="#" onclick=" return false;">Type Properties</a></li>
                    <hr>
                    <li><a href="#" onclick=" return false;">Price</a></li>
                    <hr>
                    <li><a href="#" onclick=" return false;">Area</a></li>
                    <li><a href="#" onclick=" return false;">
                            <img src="./image/loupe.png" alt="" width="30px">
                        </a></li>


                </ul>


            </div>
        </div>
        <div class="write">

            <div class="row">
                <div class="col-sm-12">
                    <p class="text-our-partner">Our Partner's</p>
                </div>

            </div>
            <div class="row">
                <div class="col-sm-12">
                    <p class="text-partner">Reliable Partner's.</p>
                </div>
            </div>
            <div class="d-flex justify-content-around mt-5">
                <div>
                    <img src="./image/brand1.png" alt="">
                </div>
                <div>
                    <img src="./image/brand2.png" alt="">
                </div>
                <div>
                    <img src="./image/brand3.png" alt="">
                </div>
                <div>
                    <img src="./image/brand4.png" alt="">
                </div>
                <div>
                    <img src="./image/brand5.png" alt="">
                </div>


            </div>
            <div class="explore">
                <div class="row">
                    <div class="col-sm-12 text-center">
                        <p class="text-our-partner">Explore cities</p>
                    </div>

                </div>
                <div class="row">
                    <div class="col-sm-12 text-center">
                        <p class="text-partner">Find Your Neighborhood.</p>
                    </div>
                </div>
                <!-- carousel -->
                <div class="mt-5">
                    <div class="row blog">
                        <div class="col-md-12">
                            <div id="blogCarousel" class="carousel slide" data-ride="carousel">

                                <ol class="carousel-indicators">
                                    <li data-target="#blogCarousel" data-slide-to="0" class="active"></li>
                                    <li data-target="#blogCarousel" data-slide-to="1" class=""></li>
                                    <li data-target="#blogCarousel" data-slide-to="2" class=""></li>
                                </ol>

                                <!-- Carousel items -->
                                <div class="carousel-inner">

                                    <div class="carousel-item active">
                                        <div class="row">
                                            <div class="col-md-3">
                                                <a href="#">
                                                    <img src="./image/image1.png" alt="Image" style="max-width:100%;">
                                                </a>
                                            </div>
                                            <div class="col-md-3">
                                                <a href="#">
                                                    <img src="./image/image2.png" alt="Image" style="max-width:100%;">
                                                </a>
                                            </div>
                                            <div class="col-md-3">
                                                <a href="#">
                                                    <img src="./image/image3.png" alt="Image" style="max-width:100%;">
                                                </a>
                                            </div>
                                            <div class="col-md-3">
                                                <a href="#">
                                                    <img src="./image/image4.png" alt="Image" style="max-width:100%;">
                                                </a>
                                            </div>
                                        </div>
                                        <!--.row-->
                                    </div>
                                    <!--.item-->

                                    <div class="carousel-item">
                                        <div class="row">
                                            <div class="col-md-3">
                                                <a href="#">
                                                    <img src="./image/image1.png" alt="Image" style="max-width:100%;">
                                                </a>
                                            </div>
                                            <div class="col-md-3">
                                                <a href="#">
                                                    <img src="./image/image2.png" alt="Image" style="max-width:100%;">
                                                </a>
                                            </div>
                                            <div class="col-md-3">
                                                <a href="#">
                                                    <img src="./image/image3.png" alt="Image" style="max-width:100%;">
                                                </a>
                                            </div>
                                            <div class="col-md-3">
                                                <a href="#">
                                                    <img src="./image/image4.png" alt="Image" style="max-width:100%;">
                                                </a>
                                            </div>
                                        </div>
                                        <!--.row-->
                                    </div>
                                    <!--.item-->
                                    <div class="carousel-item">
                                        <div class="row">
                                            <div class="col-md-3">
                                                <a href="#">
                                                    <img src="./image/image1.png" alt="Image" style="max-width:100%;">
                                                </a>
                                            </div>
                                            <div class="col-md-3">
                                                <a href="#">
                                                    <img src="./image/image2.png" alt="Image" style="max-width:100%;">
                                                </a>
                                            </div>
                                            <div class="col-md-3">
                                                <a href="#">
                                                    <img src="./image/image3.png" alt="Image" style="max-width:100%;">
                                                </a>
                                            </div>
                                            <div class="col-md-3">
                                                <a href="#">
                                                    <img src="./image/image4.png" alt="Image" style="max-width:100%;">
                                                </a>
                                            </div>
                                        </div>
                                        <!--.row-->
                                    </div>
                                    <!--.item-->


                                </div>
                                <!--.carousel-inner-->
                            </div>
                            <!--.Carousel-->

                        </div>
                    </div>
                </div>
            </div>

            <!-- why choose us -->
            <div class="choose">
                <div class="row">
                    <div class="col-sm-12">
                        <p class="text-our-partner">Why Choose Us</p>
                    </div>

                </div>
                <div class="row">
                    <div class="col-sm-6">
                        <p class="text-partner">We Provide Latest Properties For Our Valuable Clients.</p>
                    </div>
                    <div class="col-sm-6 mt-4">
                        <p class="text-choose">Huge number of propreties availabe here for buy, sell and Rent. Also you
                            find here co-living
                            property so lots opportunity you have to choose here and enjoy huge discount</p>
                    </div>
                </div>
                <div class="row">
                    <div class="col-sm-6 mr-3 img-about">
                        <img src="./image/about7.png" alt="" width="95%">
                    </div>
                    <div class="col-sm-5 text-dark mt-5">
                        <div class="row">
                            <div class="col-sm-2">
                                <img src="./image/doller.png" alt="">
                            </div>
                            <div class="col-sm-10">
                                <p class="text-partner">Budget Friendly</p>
                                <p class="text-choose">Properties are most budget friendly so you have opportunity to
                                    find the best one</p>
                            </div>


                        </div>
                        <div class="row mt-5">
                            <div class="col-sm-2">
                                <img src="./image/location.png" alt="">
                            </div>
                            <div class="col-sm-10">
                                <p class="text-partner">Prime Location</p>
                                <p class="text-choose">Properties are most budget friendly so you have opportunity to
                                    find the best one</p>
                            </div>


                        </div>
                        <div class="row mt-5">
                            <div class="col-sm-2">
                                <img src="./image/trusted.png" alt="">
                            </div>
                            <div class="col-sm-10">
                                <p class="text-partner">Trusted By Thousand</p>
                                <p class="text-choose">Properties are most budget friendly so you have opportunity to
                                    find the best one</p>
                            </div>


                        </div>


                    </div>
                </div>
            </div>
            <div class="properties">
                <div class="row">
                    <div class="col-sm-12 ">
                        <p class="text-our-partner">newly added</p>
                    </div>

                </div>
                <div class="row">
                    <div class="col-sm-4">
                        <p class="text-partner">Featured Properties</p>
                    </div>
                    <div class="col-sm-3"></div>
                    <div class="col-sm-5">

                    </div>
                </div>

                <div class="row">
                    <div class="col-sm-2">
                        <a href="./LandHouse.html">
                            <img class="img-shop" src="./image/shopping-cart.png" alt="" width="100px">
                        </a>

                        <p class="text-shop mt-3 ml-2">Buy House</p>
                    </div>
                    <div class="col-sm-2">
                        <a href="./Apartment.html">
                            <img class="img-shop" src="./image/corporate (2).png" alt="" width="100px">
                        </a>

                        <p class="text-shop mt-3 ml-2">Buy Apartment</p>

                    </div>
                    <div class="col-sm-2">
                        <a href="./Land.html">
                            <img class="img-shop" src="./image/land.png" alt="" width="100px">
                        </a>

                        <p class="text-shop pt-3 ml-2">Buy Land</p>
                    </div>
                    <div class="col-sm-2">
                        <a href="./ProjectLand.html">
                            <img class="img-shop" src="./image/architect.png" alt="" width="100px">
                        </a>

                        <p class="text-shop mt-3 ml-2">Project Land</p>
                    </div>
                    <div class="col-sm-2">
                        <img class="img-shop" src="./image/house.png" alt="" width="100px">
                        <p class="text-shop  mt-3 ml-2">Rent House</p>
                    </div>
                    <div class="col-sm-2">
                        <img class="img-shop " src="./image/house (1).png" alt="" width="100px">
                        <p class="text-shop mt-3 ml-2">Rent Apartment</p>
                    </div>
                </div>

                <!-- load api properties -->
                <div class="row mt-4" id="row-realestate">



                </div>
                <div class="row mt-5">
                    <div class="col-sm-12 text-center">
                        <div class="pagination">
                            <a href="#">&laquo;</a>
                            <a href="./Home.html">1</a>
                            <a href="./Home2.html" class="active">2</a>
                            <a href="./Home3.html">3</a>
                            <a href="#">4</a>
                            <a href="#">5</a>
                            <a href="#">6</a>
                            <a href="#">&raquo;</a>
                        </div>
                    </div>
                </div>


            </div>

        </div>




    </div>
    <footer>
        <div class="row footer">
            <div class="col-sm-3">
                <img src="./image/logo.svg" alt="">
                <p class="mt-4">Properties are most budget friendly so you have are find opportunity is main
                    responsibility to
                    clients</p>
                <p>© CodeCarnival. All Rights Reserved - Privacy Policy</p>
            </div>

            <div class="col-sm-3 pl-5 ml-5 foot-a">
                <p class="foot-title ">Information.</p>
                <p><a class="" href="">About us</a></p>
                <p><a href="">Properties</a></p>
                <p><a class="" href="">Careers</a></p>
                <p><a href="">Payment</a></p>
                <p><a href="">Blog Post</a></p>






            </div>
            <div class="col-sm-3 foot-a ">
                <p class="foot-title">Support.</p>
                <p><a href="">Add Properties</a></p>
                <p> <a href="">Times & Conditions</a></p>
                <p> <a href="">Help Line</a></p>
                <p><a href="">Our Agents</a></p>
                <p> <a href="">Features</a></p>



            </div>
            <div class="col-sm-2">
                <p class="foot-title">Address.</p>
                <p>2104 Charmaine Lane Amarillo, New York</p>
            </div>


        </div>



    </footer>

</body>
<!-- <script>
    "use strict";
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
    const gBASE_URL = "http://localhost:8080/"
    var accessToken = urlParams.get('access_token');
    /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
    $(document).ready(function () {
        onCLick();
        // loadProperties();
        callProperties();

    })
    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    function callProperties() {
        $.ajax({
            url: gBASE_URL + "realestateP",
            type: "GET",
            headers: { "Authorization": "Bearer " + accessToken },
            success: function (paramRes) {
                console.log("success");

                loadProperties(paramRes);
            },
            error: function (paramRes) {
                alert(paramRes.status);
            }
        })
    }
    function loadProperties(paramData) {

        for (var bI = 0; bI < 6; bI++) {
            $("#row-realestate").append($("<div>", {
                class: "col-sm-4 mt-5",


            })
                .append($("<div>", {
                    class: "card card-properties",
                })
                    .append($("<img>", {
                        class: "card-img-top",
                        src: "./image/" + paramData[bI].photo
                    }))
                    .append($("<div>", {
                        class: "card-body "

                    })
                        .append($("<p>", {
                            class: "title-properties",
                            html: paramData[bI].title,
                        }))
                        .append($("<p>", {
                            class: "address-properties",
                            html: paramData[bI].address,
                        }))
                        .append($("<div>", {
                            class: "row",
                        })
                            .append($("<div>", {
                                class: "col-sm-4",
                                html: '<img src="./image/area.png" alt="" class="img-icon-properties mr-1">' + paramData[bI].withY + "fit"

                            }))
                            .append($("<div>", {
                                class: "col-sm-3",
                                html: '<img src="./image/bedroom.png" alt="" class="img-icon-properties mr-1">' + paramData[bI].bedroom

                            }))
                            .append($("<div>", {
                                class: "col-sm-3",
                                html: '<img src="./image/bathtub.png" alt="" class="img-icon-properties mr-1">' + paramData[bI].bath
                            }))
                            .append($("<div>", {
                                class: "col-sm-2",
                                html: '<img src="./image/tile.png" alt="" class="img-icon-properties mr-1">' + paramData[bI].totalFloors
                            }))
                        )
                    )
                    .append($("<div>", {
                        class: "card-footer",
                    })
                        .append($("<div>", {
                            class: "row mt-3",

                        })
                            .append($("<div>", {
                                class: "col-sm-6 price-properties",
                                html: "Price: $" + paramData[bI].price,
                            }))
                            .append($("<div>", {
                                class: "col-sm-6 text-right",
                                html: '<img src="./image/love-hand-drawn-heart-symbol-outline.png" alt="" class="img-icon-properties">'
                            }))
                        )
                    )
                )

            )
        }

    }
    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
    function onCLick() {
        $("#buy").on("click", function () {
            $("#buy").addClass("clicked");
        })

    }


</script> -->

</html>